Retrieves all the equipment_family objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_family
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier

Required

name

Name of the equipment family

string

Required

Max length: 50

description

Description of the equipment family

string

Max length: 4000

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

_parent_id

Parent Equipment Family (Parent / Child) when adding/updating equipment_family

globally unique identifier
_parent_code

Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family

string
_parent_equipment_family

Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family

equipment_family
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "23393ec7-2cfd-4826-bbd1-5354178e6dcc",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "_parent_id": "0e61ec32-047d-47c6-8da4-499a75f70186",
  "_parent_code": "sample string 6",
  "sales_organization_id": "ecce4156-ce09-4273-a8fc-6a7c0979f533",
  "sales_organization_code": "sample string 8",
  "sales_organization": {
    "id": "a7957b5a-572c-49d9-9492-c940ff8c6607",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "8a08fe9c-9ea9-4ed2-be27-ef4d8ad435bd",
    "db_currency_id": "73796bf5-c790-4ae1-b6af-6c39b826d597",
    "db_language_id": "f2013634-7b83-4e75-a258-b51a6011e2a7",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-02-24T16:14:22.3009648+00:00"
  },
  "modified_dateutc": "2026-02-24T16:14:22.3009648+00:00"
}